Sidef::Types::Number::Polynomial(3)

NAME
Sidef::Types::Number::Polynomial

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Polynomial(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Number::Number

METHODS

  !=
    a != b

Returns the

Aliases: ne

  %
    a % b

Returns the

Aliases: mod

  *
    a * b

Returns the

Aliases: mul

  **
    a ** b

Returns the

Aliases: pow

  +
    a + b

Returns the

Aliases: add

  ++
    a ++ b

Returns the

Aliases: inc

  -
    a - b

Returns the

Aliases: sub

  --
    a -- b

Returns the

Aliases: dec

  /
    a / b

Returns the

Aliases: ÷, div

  //
    a // b

Returns the

Aliases: idiv, idiv_ceil, idiv_floor, idiv_round, idiv_trunc

  <
    a < b

Returns the

Aliases: lt

  <=>
    a <=> b

Returns the

Aliases: cmp

  ==
    a == b

Returns the

Aliases: eq

  >
    a > b

Returns the

Aliases: gt

  ≤
    a ≤ b

Returns the

Aliases: <=, le

  ≥
    a ≥ b

Returns the

Aliases: >=, ge

  ceil
    Polynomial.ceil()

Returns the

  coeff
    Polynomial.coeff()

Returns the

  coeffs
    Polynomial.coeffs()

Returns the

  divmod
    Polynomial.divmod()

Returns the

  dump
    Polynomial.dump()

Returns the

  eval
    Polynomial.eval()

Returns the

  float
    Polynomial.float()

Returns the

  floor
    Polynomial.floor()

Returns the

  inv
    Polynomial.inv()

Returns the

  invmod
    Polynomial.invmod()

Returns the

  is_mone
    Polynomial.is_mone()

Returns the

  is_one
    Polynomial.is_one()

Returns the

  is_zero
    Polynomial.is_zero()

Returns the

  keys
    Polynomial.keys()

Returns the

Aliases: exponents

  neg
    Polynomial.neg()

Returns the

  new
    Polynomial.new()

Returns the

Aliases: call

  powmod
    Polynomial.powmod()

Returns the

  round
    Polynomial.round()

Returns the

  sqr
    Polynomial.sqr()

Returns the

  to_n
    Polynomial.to_n()

Returns the

  to_poly
    Polynomial.to_poly()

Returns the

  to_s
    Polynomial.to_s()

Returns the